/*********************************************************************/
/* iinte.c      v 2.2      by J.Sobczyk IAPW       1998.12.04  19:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* IINTE-ISIS                                                        */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl iinte_tbl =
  {
    { 0x090,   0x0105 },   /* LATIN SMALL LETTER A WITH OGONEK */
    { 0x091,   0x0107 },   /* LATIN SMALL LETTER C WITH ACUTE */
    { 0x092,   0x0119 },   /* LATIN SMALL LETTER E WITH OGONEK */
    { 0x093,   0x0142 },   /* LATIN SMALL LETTER L WITH STROKE */
    { 0x094,   0x0144 },   /* LATIN SMALL LETTER N WITH ACUTE */
    { 0x095,   0x00F3 },   /* LATIN SMALL LETTER O WITH ACUTE */
    { 0x096,   0x015B },   /* LATIN SMALL LETTER S WITH ACUTE */
    { 0x097,   0x017A },   /* LATIN SMALL LETTER Z WITH ACUTE */
    { 0x098,   0x017C },   /* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0x080,   0x0104 },   /* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0x081,   0x0106 },   /* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0x082,   0x0118 },   /* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0x083,   0x0141 },   /* LATIN CAPITAL LETTER L WITH STROKE */
    { 0x084,   0x0143 },   /* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0x085,   0x00D3 },   /* LATIN CAPITAL LETTER O WITH ACUTE */
    { 0x086,   0x015A },   /* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x087,   0x0179 },   /* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x088,   0x017B }    /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_iinte( void )
  {
  return table_test( iinte_tbl, 2*POL_NR );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_iinte( void )
  {
  trans[ TYPE_IINTE ].key		= "";
  trans[ TYPE_IINTE ].long_key		= "-iinte";
  trans[ TYPE_IINTE ].name		= "IINTE-ISIS";
  trans[ TYPE_IINTE ].reset_inp       	= NULL;
  trans[ TYPE_IINTE ].reset_out       	= NULL;
  trans[ TYPE_IINTE ].decode          	= table_decode;
  trans[ TYPE_IINTE ].encode          	= table_encode;
  trans[ TYPE_IINTE ].inp_tbl         	= iinte_tbl;
  trans[ TYPE_IINTE ].inp_tbl_size    	= 2*POL_NR;
  trans[ TYPE_IINTE ].out_tbl         	= iinte_tbl;
  trans[ TYPE_IINTE ].out_tbl_size    	= 2*POL_NR;
  trans[ TYPE_IINTE ].buf_tst         	= NULL;
  trans[ TYPE_IINTE ].freq_tst        	= test_iinte;
  }

/*********************************************************************/
